<?php

namespace Tests\Feature;

use App\Models\User;
use App\Models\Role;
use App\Models\Permission;
use App\Http\Controllers\RBACController;
use App\Http\Controllers\MyGoodController;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\TestCase;

class RBACSampleTest extends TestCase
{
    use RefreshDatabase;

    private static $RBACController;
    private static $MyGoodController;

    public static function setUpBeforeClass(): void
    {
        self::$RBACController = new RBACController();
        self::$MyGoodController = new MyGoodController();
    }

    public function testCreateRole()
    {
        self::$RBACController->createRole('samplerole');
        $this->assertDatabaseHas('roles', [
            'name' => 'samplerole'
        ]);
    }

    public function testAddUser()
    {
        self::$RBACController->addUser('info@quera.ir');
        $this->assertDatabaseHas('users', [
            'email' => 'info@quera.ir'
        ]);
    }
}
